package dev.kske.chess.game.ai;

import dev.kske.chess.board.Move;

/**
 * Project: <strong>Chess</strong><br>
 * File: <strong>ProcessingResult.java</strong><br>
 * Created: <strong>08.07.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class ProcessingResult {

	public final Move	move;
	public final int	score;

	public ProcessingResult(Move move, int score) {
		this.move	= move;
		this.score	= score;
	}

	@Override
	public String toString() {
		return String.format("ProcessingResult[Move = %s, Score = %d]", move, score);
	}
}
